Status: Closed Start date: 10/05/2020
Priority: Normal Due date:

Assignee: Lynn Garren % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

When building against ROOT in debug mode | am receiving the following error:

python: /scratch/workspace/canvas-products/vdevelop-/SLF7/el7-debug/build/root/v6_16_00/source/roo
t-6.16.00/interpreter/llvm/src/tools

/clang/include/clang/Serialization/Module.h:72: clang::serialization::InputFile::InputFile (const c
lang::FileEntry*, bool, bool):

Assertion ! (isOverridden && isOutOfDate) && "an overridden cannot be out-of-date"' failed.

This bug was reported before as issue 23325, however now this is being seen on an SL7 machine. The distribution being used is:
Distributor ID: Scientific

Description: Scientific Linux release 7.8 (Nitrogen)

Release: 7.8

Codename: Nitrogen

| think a build of ROOT with the assertion above commented out would fix the issue

Related issues:
Related to SciSoft - Bug #23325: Root v6_16_00 not working in CentOS 7 Closed 09/25/2019

History

#1 - 10/05/2020 11:40 AM - Kyle Knoepfel

- Status changed from New to Feedback

Cathal, this appears to be identical to the issue you reported a year ago: #23325. Is the information in that issue insufficient to address the problem?

#2 - 10/05/2020 12:01 PM - Cathal Sweeney

I'm not sure how comfortable NOVA feels building ROOT ourselves seeing as it comes in a bundle with other ART stuff.

However, if we do rebuild ROOT on the target machine is there a chance that this issue may hurt us on a Jenkins node where the SL7 version is
slightly different?

#3 - 10/05/2020 12:12 PM - Christopher Backhouse

It seems to me that this issue ought to be affecting all experiments, and they only avoid it because they don't commonly set up debug builds.

#4 - 10/06/2020 09:34 AM - Kyle Knoepfel
- Related to Bug #23325: Root v6_16_00 not working in CentOS 7 added

#5 - 10/06/2020 09:44 AM - Kyle Knoepfel

Is there a novagpvm node we can use to check this behavior?

#6 - 10/06/2020 10:43 AM - Cathal Sweeney

novasl7gpvmO1 is available

#7 - 10/06/2020 10:46 AM - Cathal Sweeney
the error can be reproduced by setting up ROOT v6_16_00 and simpy running
https://cdcvs.fnal.gov/redmine/issues/23325

$ root

#8 - 10/06/2020 12:55 PM - Lynn Garren

Steps to reproduce on novasl7gpvm01:

source /cvmfs/nova.opensciencegrid.org/externals/setup
setup root v6_16_00 —-g el7:debug
root

Note that there is no problem with v6_16_00 -q e17:prof or with the SLF6 builds of root v6_16_00.

#9 - 10/06/2020 03:21 PM - Lynn Garren
- % Done changed from 0 to 100

- Status changed from Feedback to Resolved

It appears that the root v6_16_00 debug tarballs were rebuilt at some point. Please reinstall root v6_16_00 debug on

/cvmfs/nova.opensciencegrid.org/externals. | am not sure who has permissions to do that. Let us know if you need help.

#10 - 10/06/2020 05:12 PM - Lynn Garren

- Assignee set to Lynn Garren

#11 - 10/07/2020 08:45 AM - Cathal Sweeney

I can confirm that Lynn's advice to re-install ROOT has fixed the issue. This issue may now be closed. Thanks all

#12 - 10/07/2020 09:27 AM - Kyle Knoepfel
- Status changed from Resolved to Closed

- Tracker changed from Bug to Support
